Name:          batoo-jpa
Version:       2.0.1.2
Release:       1%{?dist}
Summary:       Implementation of JPA 2.0 Specification
License:       LGPLv3
URL:           http://batoo.org/
Source0:       https://github.com/BatooOrg/BatooJPA/archive/%{name}-%{version}.tar.gz
# org.jboss.as:jboss-as-jpa-spi:jar:7.1.1.Final
Patch0:        batoo-jpa-2.0.1.2-disable-jboss-as-jpa-spi-support.patch

BuildRequires: maven-local
BuildRequires: mvn(asm:asm)
BuildRequires: mvn(com.google.code.gson:gson)
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(com.h2database:h2)
# https://gil.fedorapeople.org/bonecp-0.8.0-1.fc20.src.rpm
BuildRequires: mvn(com.jolbox:bonecp)
BuildRequires: mvn(com.sun.xml.bind:jaxb-impl)
BuildRequires: mvn(commons-beanutils:commons-beanutils)
BuildRequires: mvn(commons-dbutils:commons-dbutils)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(hsqldb:hsqldb:1)
BuildRequires: mvn(javax.transaction:jta)
BuildRequires: mvn(javax.validation:validation-api)
BuildRequires: mvn(javax.xml.bind:jaxb-api)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(mysql:mysql-connector-java)
BuildRequires: mvn(net.sourceforge.jtds:jtds)
BuildRequires: mvn(org.antlr:antlr-runtime)
BuildRequires: mvn(org.antlr:antlr3-maven-plugin)
BuildRequires: mvn(org.apache.bval:bval-core)
BuildRequires: mvn(org.apache.bval:bval-jsr303)
BuildRequires: mvn(org.apache.commons:commons-lang3)
BuildRequires: mvn(org.apache.derby:derby)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven:maven-core)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.codehaus.mojo:jaxb2-maven-plugin)
BuildRequires: mvn(org.codehaus.plexus:plexus-utils)
BuildRequires: mvn(org.osgi:org.osgi.core)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:jcl-over-slf4j)
BuildRequires: mvn(org.slf4j:jul-to-slf4j)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
BuildRequires: mvn(postgresql:postgresql)
%if %{?fedora} > 20
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
%else
BuildRequires: mvn(log4j:log4j)
BuildRequires: mvn(org.sonatype.oss:oss-parent)
%endif

BuildArch:     noarch

%description
Batoo JPA is the fastest JPA Implementation by far.

It is 10 ~ 20 times faster then the leading JPA providers.

%package parent
Summary:       Batoo Persistence Parent POM

%description parent
Batoo Persistence Parent POM.

%package api
Summary:       Batoo Persistence 2.0 API

%description api
Batoo Persistence 2.0 API.

%package maven-plugin
Summary:       Batoo JPA Maven Plugin

%description maven-plugin
Batoo JPA Enhanced Class Generator.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n BatooJPA-%{name}-%{version}
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete
%patch0 -p1
rm -rf %{name}/src/main/java/org/batoo/jpa/parser/impl/acl/JBoss7*.java

cp -p %{name}/src/main/resources/META-INF/Batoo-JPA-License.txt .

%pom_xpath_set "pom:dependency[pom:artifactId='jaxb-impl']/pom:groupId" com.sun.xml.bind
%pom_xpath_set "pom:dependency[pom:artifactId='jaxb-impl']/pom:groupId" com.sun.xml.bind %{name}

%pom_xpath_set "pom:dependency[pom:artifactId='hsqldb']/pom:version" 1
%pom_xpath_inject "pom:dependency[pom:artifactId='hsqldb']" "<version>1</version>" %{name}

%pom_xpath_inject "pom:modules" "<module>persistence-api</module>"
%pom_xpath_set "pom:parent/pom:version" %{version} persistence-api

%pom_remove_plugin :maven-source-plugin %{name}

%pom_remove_dep org.apache.maven:maven-project batoo-maven-plugin
%pom_add_dep org.apache.maven:maven-core:3.1.1 batoo-maven-plugin
%pom_xpath_set "pom:dependency[pom:artifactId='log4j']/pom:version" 1.2.17 batoo-maven-plugin

%build

%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}
%doc README.md
%license Batoo-JPA-License.txt

%files -f .mfiles-%{name}-parent
%license Batoo-JPA-License.txt

%files api -f .mfiles-persistence-api
%dir %{_javadir}/%{name}
%license Batoo-JPA-License.txt

%files maven-plugin -f .mfiles-batoo-maven-plugin
%license Batoo-JPA-License.txt

%files javadoc -f .mfiles-javadoc
%license Batoo-JPA-License.txt

%changelog
* Thu Apr 30 2015 gil cattaneo <puntogil@libero.it> 2.0.1.2-1
- initial rpm
